## bacula 5.2.6+dfsg

=== autoconf/gnome-macros/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/bacula
pkglibdir = $(libdir)/bacula
pkgincludedir = $(includedir)/bacula

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
DATADIRNAME = share
GENCAT = 
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GNOME_APPLETS_LIBS = 
GNOME_CAPPLET_LIBS = 
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_DOCKLETS_LIBS = 
GNOME_INCLUDEDIR = -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0 -I/usr/include/gtk-1.2 -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GNORBA_CFLAGS = -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0 -I/usr/include/gtk-1.2 -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GTKXMHTML_LIBS = -rdynamic -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GTK_CFLAGS = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GT_NO = 
GT_YES = #YES#
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = .mo
INTLDEPS = 
INTLLIBS = 
INTLOBJS = 
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
ORBIT_CFLAGS = -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lnsl -lm
PACKAGE = bacula
POFILES = 
POSUB = po
PTHREAD_LIB = -lpthread
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.1
XPM_LIBS = -lXpm
ZVT_LIBS = -rdynamic -lzvt -lutil -lSM -lICE -lgdk_imlib -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
cflags_set = yes
cxxflags_set = @cxxflags_set@
l = 

MACROS =    aclocal-include.m4				  compiler-flags.m4				  curses.m4					  gnome-bonobo-check.m4				  gnome-fileutils.m4				  gnome-ghttp-check.m4				  gnome-gnorba-check.m4				  gnome-guile-checks.m4				  gnome-libgtop-check.m4			  gnome-objc-checks.m4				  gnome-orbit-check.m4				  gnome-print-check.m4				  gnome-pthread-check.m4			  gnome-support.m4				  gnome-undelfs.m4				  gnome-vfs.m4					  gnome-x-checks.m4				  gnome-xml-check.m4				  gnome.m4					  gperf-check.m4				  linger.m4					  need-declaration.m4				


EXTRA_DIST = $(MACROS) gnome-common.m4 gnome-gettext.m4 autogen.sh
MAINTAINERCLEANFILES = macros.dep

#gnome_aclocaldir = $(datadir)/aclocal/gnome-macros

#gnome_aclocal_DATA = $(MACROS) gnome-macros.dep gnome-common.m4 	gnome-gettext.m4 autogen.sh
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DATA =  $(gnome_aclocal_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu macros/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-gnome_aclocalDATA: $(gnome_aclocal_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gnome_aclocaldir)
	@list='$(gnome_aclocal_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnome_aclocaldir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(gnome_aclocaldir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	  fi; fi; \
	done

uninstall-gnome_aclocalDATA:
	@$(NORMAL_UNINSTALL)
	list='$(gnome_aclocal_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = macros

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu macros/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-gnome_aclocalDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-gnome_aclocalDATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(gnome_aclocaldir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-gnome_aclocalDATA install-gnome_aclocalDATA tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


macros.dep: Makefile.am
	@echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=macros/%)' > $@

#gnome-macros.dep: Makefile.am
#	@echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=$(gnome_aclocaldir)/%)' > $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/win32/Makefile ===
#
#  Makefile for Win32/Win64 Bacula File daemon
#
#  If called make win64=yes the Win64 version will be built
#     otherwise the Win32 version will be built.
#
#  If called with bat=no, bat will not be built, otherwise it will be
#     built.
#

ECHO_CMD=@

WIN32_DIRS=lib filed filed/plugins console scripts

WIN64_DIRS=lib filed filed/plugins console scripts

ifeq ($(win64),yes)
	 DIRS=$(WIN64_DIRS)
	 INSTALLER=win64_installer
	 SPECIAL=bsmtp
else
	 DIRS=$(WIN32_DIRS)
	 INSTALLER=win32_installer
	 SPECIAL=bat bsmtp
endif

ifeq ($(bat),no)
	 SPECIAL=bsmtp
endif	     

.PHONY: $(DIRS) clean all Makefile.inc win32_installer full_win32_installer \
	 win64_installer bsmtp

all: Makefile.inc $(DIRS) $(SPECIAL) $(INSTALLER)

clean: $(DIRS) win32_installer win64_installer
	$(MAKE) -C tools clean
	$(ECHO_CMD)-rm -rf release32 release64 ../qt-console/obj32 ../cats/obj32 ../wx-console/obj32
	$(ECHO_CMD)-rm -rf stored/obj32 dird/obj32 cats/obj32 wx-console/obj32
	$(ECHO_CMD)-rm -f ../qt-console/release/bat.exe ../qt-console/debug/bat.exe
	$(ECHO_CMD)-rm -f ../qt-console/tray-monitor/release/bacula-tray-monitor.exe ../qt-console/tray-monitor/debug/bacula-tray-monitor.exe

bat:
	(cd ../qt-console; ./make-win32)

full_win32_installer:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; exit 1; \
	   fi ; \
	fi

win32_installer:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; exit 1; \
	   fi ; \
	fi

win64_installer:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; exit 1; \
	   fi ; \
	fi


$(DIRS):
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; exit 1; \
	   fi ; \
	fi

bsmtp:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C tools bsmtp $(MAKECMDGOALS); then \
		echo "\n===== Make of tools/bsmtp succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of tools/bsmtp failed !!!!!\n\n" ; exit 1; \
	   fi ; \
	fi



Makefile.inc:
	@echo Creating $@
	$(ECHO_CMD)TOPDIR=`(cd ../../..;pwd)`; \
	TOPDIR=$${DEPKGS:-$${TOPDIR}}; \
	if test "$(win64)" = yes -a -e $${TOPDIR}/cross-tools/mingw-w64/bin/x86_64-pc-mingw32-gcc; then \
		BINDIR=$${TOPDIR}/cross-tools/mingw-w64/bin; \
		INCDIR=$${TOPDIR}/cross-tools/mingw-w64/x86_64-pc-mingw32/include; \
		DLLDIR=$${TOPDIR}/cross-tools/mingw-w64/x86_64-pc-mingw32/bin; \
		DEPKGSDIR=depkgs-mingw-w64; \
		DEPKGSDIR32=depkgs-mingw32; \
	elif test -e $${TOPDIR}/cross-tools/mingw32/bin/mingw32-gcc; then \
		BINDIR=$${TOPDIR}/cross-tools/mingw32/bin; \
		INCDIR=$${TOPDIR}/cross-tools/mingw32/mingw32/include; \
		DLLDIR=$${TOPDIR}/cross-tools/mingw32/mingw32/bin; \
		DEPKGSDIR=depkgs-mingw32; \
		DEPKGSDIR32=depkgs-mingw32; \
	else \
		echo "\nThe GCC cross compiler isn't installed."; \
		echo "You must run build-win32-cross-tools and build-dependencies first.\n"; \
		exit 1; \
	fi ; \
	BUILDDIR=`(pwd)`; \
	MAINDIR=`(cd ../..;pwd)`; \
	sed \
		-e "s^@WIN64@^$${win64}^" \
		-e "s^@BAT@^$${bat}^" \
		-e "s^@WIN32DEPKGS@^$${DEPKGSDIR}^" \
		-e "s^@WIN32DEPKGS32@^$${DEPKGSDIR32}^" \
		-e "s^@WIN32BUILDDIR@^$${BUILDDIR}^" \
		-e "s^@WIN32MAINDIR@^$${MAINDIR}^" \
		-e "s^@WIN32TOPDIR@^$${TOPDIR}^" \
		-e "s^@WIN32BINDIR@^$${BINDIR}^" \
		-e "s^@WIN32INCDIR@^$${INCDIR}^" \
		-e "s^@WIN32DLLDIR@^$${DLLDIR}^" < Makefile.inc.in > $@

=== src/win32/console/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_BACULA) \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	-DUSING_DLL \
	$(HAVES)

vpath %.c $(MAINDIR)/src/console
vpath %.cpp $(MAINDIR)/src/console

##########################################################################

CONSOLE_OBJS = \
	$(OBJDIR)/authenticate.o \
	$(OBJDIR)/console.o \
	$(OBJDIR)/console_conf.o

ALL_OBJS = $(CONSOLE_OBJS)

CONSOLE_LIBS = $(LIBS_NETWORK) 

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/bconsole.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bconsole.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/bconsole.exe: $(CONSOLE_OBJS) $(LIBS_BACULA)
	$(call link_conapp,$(CONSOLE_LIBS))

include ../Makefile.rules

=== src/win32/dird/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	-I. \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL) \
	$(INCLUDE_ICONS)

DEFINES = \
	-DUSING_DLL \
	-DUSING_CATS \
	-DWINVER=0x500 \
	$(HAVES)

vpath %.c $(MAINDIR)/src/dird $(BUILDDIR)/libwin32
vpath %.cpp $(MAINDIR)/src/dird $(BUILDDIR)/libwin32

##########################################################################

DIRD_OBJS = \
	$(OBJDIR)/admin.o \
	$(OBJDIR)/authenticate.o \
	$(OBJDIR)/autoprune.o \
	$(OBJDIR)/backup.o \
	$(OBJDIR)/bsr.o \
	$(OBJDIR)/catreq.o \
	$(OBJDIR)/dir_plugins.o \
	$(OBJDIR)/dird.o \
	$(OBJDIR)/dird_conf.o \
	$(OBJDIR)/expand.o \
	$(OBJDIR)/fd_cmds.o \
	$(OBJDIR)/getmsg.o \
	$(OBJDIR)/inc_conf.o \
	$(OBJDIR)/job.o \
	$(OBJDIR)/jobq.o \
	$(OBJDIR)/migrate.o \
	$(OBJDIR)/mountreq.o \
	$(OBJDIR)/msgchan.o \
	$(OBJDIR)/newvol.o \
	$(OBJDIR)/next_vol.o \
	$(OBJDIR)/pythondir.o \
	$(OBJDIR)/recycle.o \
	$(OBJDIR)/restore.o \
	$(OBJDIR)/run_conf.o \
	$(OBJDIR)/scheduler.o \
	$(OBJDIR)/ua_acl.o \
	$(OBJDIR)/ua_cmds.o \
	$(OBJDIR)/ua_dotcmds.o \
	$(OBJDIR)/ua_input.o \
	$(OBJDIR)/ua_label.o \
	$(OBJDIR)/ua_output.o \
	$(OBJDIR)/ua_prune.o \
	$(OBJDIR)/ua_purge.o \
	$(OBJDIR)/ua_query.o \
	$(OBJDIR)/ua_restore.o \
	$(OBJDIR)/ua_run.o \
	$(OBJDIR)/ua_select.o \
	$(OBJDIR)/ua_server.o \
	$(OBJDIR)/ua_status.o \
	$(OBJDIR)/ua_tree.o \
	$(OBJDIR)/ua_update.o \
	$(OBJDIR)/vbackup.o \
	$(OBJDIR)/verify.o \
	$(OBJDIR)/service.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/bacula.res

ALL_OBJS = $(DIRD_OBJS)


DIRD_LIBS = \
	$(LIBS_PTHREADS) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/bacula-dir.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bacula-dir.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/bacula-dir.exe: $(DIRD_OBJS) $(LIBS_CATS) $(LIBS_BACULA)
	$(call link_winapp,$(DIRD_LIBS))

$(OBJDIR)/winres.res: winres.rc
	$(WINDRES) $(INCLUDE_ICONS) -O coff $< -o $@

include ../Makefile.rules

=== src/win32/filed/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

#
# Change the following depending on where this directory is located
#  in the Bacula tree.	It should point to the src/win32 directory.
BUILDDIR = ..


include $(BUILDDIR)/Makefile.inc

INCLUDES = \
	-I. \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_OPENSSL) \
	$(INCLUDE_ICONS)

DEFINES = \
	-DUSING_DLL \
	-DWIN32_VSS \
	-DWINVER=0x500 \
	$(HAVES)

#	-DHAVE_TRAY_MONITOR \


vpath %.c $(MAINDIR)/src/filed $(BUILDDIR)/libwin32
vpath %.cpp $(MAINDIR)/src/filed $(BUILDDIR)/libwin32

##########################################################################

FILED_OBJS = \
	$(OBJDIR)/accurate.o \
	$(OBJDIR)/acl.o \
	$(OBJDIR)/authenticate.o \
	$(OBJDIR)/backup.o \
	$(OBJDIR)/estimate.o \
	$(OBJDIR)/fd_plugins.o \
	$(OBJDIR)/filed.o \
	$(OBJDIR)/filed_conf.o \
	$(OBJDIR)/heartbeat.o \
	$(OBJDIR)/job.o \
	$(OBJDIR)/restore.o \
	$(OBJDIR)/status.o \
	$(OBJDIR)/verify.o \
	$(OBJDIR)/verify_vol.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_XP.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_Vista.o \
	$(OBJDIR)/service.o \
	$(OBJDIR)/xattr.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/bacula.res

#	$(OBJDIR)/trayMonitor.o \
#	$(OBJDIR)/aboutDialog.o \
#	$(OBJDIR)/statusDialog.o \


ALL_OBJS = $(FILED_OBJS)

FILED_LIBS = \
	$(LIBS_PTHREADS) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/bacula-fd.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bacula-fd.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/bacula-fd.exe: $(FILED_OBJS) $(LIBS_BACULA)
	$(call link_winapp,$(FILED_LIBS))

$(OBJDIR)/winres.res: $(BUILDDIR)/libwin32/winres.rc
	@echo "Compiling $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -O coff $< -o $@

include $(BUILDDIR)/Makefile.rules

=== src/win32/lib/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	$(HAVES)

vpath %.c $(BUILDDIR)/compat $(MAINDIR)/src/findlib $(MAINDIR)/src/lib
vpath %.cpp $(BUILDDIR)/compat $(MAINDIR)/src/findlib $(MAINDIR)/src/lib

######################################################################

# Files files in src/lib

COMPAT_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/winapi.o

#	$(OBJDIR)/getopt.o \

FIND_OBJS = \
	$(OBJDIR)/attribs.o \
	$(OBJDIR)/bfile.o \
	$(OBJDIR)/create_file.o \
	$(OBJDIR)/drivetype.o \
	$(OBJDIR)/enable_priv.o \
	$(OBJDIR)/find.o \
	$(OBJDIR)/find_one.o \
	$(OBJDIR)/fstype.o \
	$(OBJDIR)/mkpath.o \
	$(OBJDIR)/match.o

LIB_OBJS = \
	$(OBJDIR)/address_conf.o \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/attr.o \
	$(OBJDIR)/base64.o \
	$(OBJDIR)/berrno.o \
	$(OBJDIR)/bget_msg.o \
	$(OBJDIR)/bnet.o \
	$(OBJDIR)/bnet_server.o \
	$(OBJDIR)/bpipe.o \
	$(OBJDIR)/breg.o \
	$(OBJDIR)/bregex.o \
	$(OBJDIR)/bsock.o \
	$(OBJDIR)/bsnprintf.o \
	$(OBJDIR)/bsys.o \
	$(OBJDIR)/btime.o \
	$(OBJDIR)/btimers.o \
	$(OBJDIR)/cram-md5.o \
	$(OBJDIR)/crc32.o \
	$(OBJDIR)/crypto.o \
	$(OBJDIR)/daemon.o \
	$(OBJDIR)/dlist.o \
	$(OBJDIR)/edit.o \
	$(OBJDIR)/fnmatch.o \
	$(OBJDIR)/guid_to_name.o \
	$(OBJDIR)/hmac.o \
	$(OBJDIR)/htable.o \
	$(OBJDIR)/jcr.o \
	$(OBJDIR)/lex.o \
	$(OBJDIR)/md5.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/message.o \
	$(OBJDIR)/mntent_cache.o \
	$(OBJDIR)/openssl.o \
	$(OBJDIR)/plugins.o \
	$(OBJDIR)/priv.o \
	$(OBJDIR)/pythonlib.o \
	$(OBJDIR)/queue.o \
	$(OBJDIR)/rblist.o \
	$(OBJDIR)/runscript.o \
	$(OBJDIR)/rwlock.o \
	$(OBJDIR)/scan.o \
	$(OBJDIR)/serial.o \
	$(OBJDIR)/sha1.o \
	$(OBJDIR)/signal.o \
	$(OBJDIR)/smartall.o \
	$(OBJDIR)/tls.o \
	$(OBJDIR)/tree.o \
	$(OBJDIR)/util.o \
	$(OBJDIR)/var.o \
	$(OBJDIR)/watchdog.o \
	$(OBJDIR)/workq.o \
	$(OBJDIR)/binflate.o \
	$(OBJDIR)/lockmgr.o

DLL_OBJS = \
	$(COMPAT_OBJS) $(FIND_OBJS) $(LIB_OBJS)

STATIC_OBJS = \
	$(OBJDIR)/parse_conf.o \
	$(OBJDIR)/res.o

ALL_OBJS = \
	$(DLL_OBJS) $(STATIC_OBJS)

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_PTHREADS) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/bacula.dll $(LIBDIR)/libbacula.a

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bacula.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/bacula.a $(LIBDIR)/libbacula.a
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules for generating from ../lib
#

$(LIBDIR)/libbacula.a: DLL_DEFINE=USING_DLL

$(LIBDIR)/libbacula.a: $(BINDIR)/bacula.dll $(STATIC_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)cp $(OBJDIR)/bacula.a $@
	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/bacula.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/bacula.dll: $(DLL_OBJS) bacula$(WIN_VERSION).def
	@echo "Linking $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/bacula.a $^ $(LIBS_DLL) -o $@

#bacula$(WIN_VERSION).def: $(DLL_OBJS)
#	 ./make_def $(DLL_OBJS) >bacula$(WIN_VERSION).def.new && \
#	 mv bacula$(WIN_VERSION).def.new bacula$(WIN_VERSION).def


include ../Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== src/win32/libbac/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#  
#  Written for Bacula by Howard Thomson, April 2006
#    for building using cross-complilation.
# 

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_GCC) \
	$(INCLUDE_MINGW) \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_ICONS) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	-DWIN32 \
	$(HAVES)

######################################################################

# Files files in src/lib

LIB_OBJS = \
	$(OBJDIR)/address_conf.o \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/attr.o \
	$(OBJDIR)/base64.o \
	$(OBJDIR)/berrno.o \
	$(OBJDIR)/bget_msg.o \
	$(OBJDIR)/bnet.o \
	$(OBJDIR)/bnet_server.o \
	$(OBJDIR)/bpipe.o \
	$(OBJDIR)/bregex.o \
	$(OBJDIR)/bshm.o \
	$(OBJDIR)/bsnprintf.o \
	$(OBJDIR)/bsock.o \
	$(OBJDIR)/bsys.o \
	$(OBJDIR)/btime.o \
	$(OBJDIR)/btimers.o \
	$(OBJDIR)/cram-md5.o \
	$(OBJDIR)/crc32.o \
	$(OBJDIR)/crypto.o \
	$(OBJDIR)/daemon.o \
	$(OBJDIR)/dlist.o \
	$(OBJDIR)/edit.o \
	$(OBJDIR)/enh_fnmatch.o \
	$(OBJDIR)/fnmatch.o \
	$(OBJDIR)/hmac.o \
	$(OBJDIR)/htable.o \
	$(OBJDIR)/idcache.o \
	$(OBJDIR)/jcr.o \
	$(OBJDIR)/lex.o \
	$(OBJDIR)/md5.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/message.o \
	$(OBJDIR)/openssl.o \
	$(OBJDIR)/parse_conf.o \
	$(OBJDIR)/pythonlib.o \
	$(OBJDIR)/queue.o \
	$(OBJDIR)/rblist.o \
	$(OBJDIR)/res.o \
	$(OBJDIR)/runscript.o \
	$(OBJDIR)/rwlock.o \
	$(OBJDIR)/scan.o \
	$(OBJDIR)/serial.o \
	$(OBJDIR)/sha1.o \
	$(OBJDIR)/signal.o \
	$(OBJDIR)/smartall.o \
	$(OBJDIR)/tls.o \
	$(OBJDIR)/tree.o \
	$(OBJDIR)/util.o \
	$(OBJDIR)/var.o \
	$(OBJDIR)/watchdog.o \
	$(OBJDIR)/winapi.o \
	$(OBJDIR)/workq.o \
	$(OBJDIR)/lockmgr.o

#	$(LIBDIR)/events.o

######################################################################

# Targets

.PHONY: all clean

all: $(LIBDIR)/libbac.a

clean:
	@echo "Cleaning `pwd`"
	$(ECHO_CMD)rm -f $(OBJDIR)/*.[od] $(LIBDIR)/libbac.a

#
# Rules
# 

$(LIBDIR)/libbac.a: $(LIB_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(AR) rs $@ $^

include ../Makefile.rules

ifneq ($(MAKECMDGOALS),clean)
include $(patsubst %.o,%.d,$(filter-out %.res,$(LIB_OBJS)))
endif

=== src/win32/scripts/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

##########################################################################

BSLEEP_OBJS = \
	$(OBJDIR)/bsleep.o

ALL_OBJS = \
	$(BSLEEP_OBJS)

######################################################################

# Targets

.PHONY: all clean

all:	$(BINDIR)/bsleep.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bsleep.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/bsleep.exe: $(BSLEEP_OBJS)
	$(call link_conapp)

include ../Makefile.rules

=== src/win32/stored/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

# Configuration

include ../Makefile.inc

INCLUDES = \
        -I. \
        -I$(MAINDIR)/src/stored \
        $(INCLUDE_DDK) \
        $(INCLUDE_PTHREADS) \
        $(INCLUDE_BACULA) \
        $(INCLUDE_ZLIB) \
        $(INCLUDE_OPENSSL) \
        $(INCLUDE_ICONS)

DEFINES = \
        -DUSING_DLL \
        -DWINVER=0x500 \
        $(HAVES)

#       -DHAVE_TRAY_MONITOR \


vpath %.c $(MAINDIR)/src/stored $(BUILDDIR)/libwin32
vpath %.cpp $(MAINDIR)/src/stored $(BUILDDIR)/libwin32

##########################################################################

COMMON_OBJS = \
        $(OBJDIR)/acquire.o \
        $(OBJDIR)/ansi_label.o \
        $(OBJDIR)/autochanger.o \
        $(OBJDIR)/block.o \
        $(OBJDIR)/butil.o \
        $(OBJDIR)/dev.o \
        $(OBJDIR)/device.o \
        $(OBJDIR)/dvd.o \
        $(OBJDIR)/ebcdic.o \
        $(OBJDIR)/label.o \
        $(OBJDIR)/lock.o \
        $(OBJDIR)/match_bsr.o \
        $(OBJDIR)/mount.o \
        $(OBJDIR)/parse_bsr.o \
        $(OBJDIR)/read_record.o \
        $(OBJDIR)/record.o \
        $(OBJDIR)/reserve.o \
        $(OBJDIR)/scan.o \
        $(OBJDIR)/spool.o \
        $(OBJDIR)/stored_conf.o \
        $(OBJDIR)/vol_mgr.o \
        $(OBJDIR)/wait.o \
        $(OBJDIR)/mtops.o

# bacula-sd
SD_OBJS = \
        $(OBJDIR)/stored.o \
        $(OBJDIR)/append.o \
        $(OBJDIR)/askdir.o \
        $(OBJDIR)/authenticate.o \
        $(OBJDIR)/dircmd.o \
        $(OBJDIR)/fd_cmds.o \
        $(OBJDIR)/job.o \
        $(OBJDIR)/mac.o \
        $(OBJDIR)/pythonsd.o \
        $(OBJDIR)/read.o \
        $(OBJDIR)/sd_plugins.o \
        $(OBJDIR)/status.o

# bextract
BEXTRACT_OBJS = \
        $(OBJDIR)/bextract.o \
        $(OBJDIR)/pythonsd.o

OBJS_WIN = \
        $(OBJDIR)/aboutDialog.o \
        $(OBJDIR)/service.o \
        $(OBJDIR)/statusDialog.o \
        $(OBJDIR)/main.o \
        $(OBJDIR)/bacula.res

#       $(OBJDIR)/trayMonitor.o \


ALL_OBJS = \
        $(COMMON_OBJS) \
        $(SD_OBJS) \
        $(BEXTRACT_OBJS) \
        $(OBJS_WIN) \
        $(OBJDIR)/bcopy.o \
        $(OBJDIR)/bls.o \
        $(OBJDIR)/btape.o \
        $(OBJDIR)/bscan.o

LIBS_STORED = \
        $(LIBS_PTHREADS) \
        $(LIBS_NETWORK) \
        -lole32 \
        -loleaut32 \
        -luuid \
        -lcomctl32

######################################################################

# Targets

.PHONY: all clean

all:    $(BINDIR)/bacula-sd.exe $(BINDIR)/bcopy.exe $(BINDIR)/bextract.exe \
        $(BINDIR)/bls.exe $(BINDIR)/bscan.exe $(BINDIR)/btape.exe

clean:
        @echo "Cleaning `pwd`"
        $(call clean_obj,$(ALL_OBJS))
        $(call clean_exe,$(BINDIR)/bacula-sd.exe)
        $(call clean_exe,$(BINDIR)/bcopy.exe)
        $(call clean_exe,$(BINDIR)/bextract.exe)
        $(call clean_exe,$(BINDIR)/bls.exe)
        $(call clean_exe,$(BINDIR)/bscan.exe)
        $(call clean_exe,$(BINDIR)/btape.exe)
        $(ECHO_CMD)rm -rf $(OBJDIRS)

realclean: clean
        rm -f tags bacula-sd.conf

#
# Rules
#

$(BINDIR)/bacula-sd.exe: $(SD_OBJS) $(COMMON_OBJS) $(OBJS_WIN) $(LIBS_BACULA)
        $(call link_winapp,$(LIBS_STORED))

$(BINDIR)/btape.exe: $(OBJDIR)/btape.o $(COMMON_OBJS) $(LIBS_BACULA)
        $(call link_conapp,$(LIBS_STORED))

$(BINDIR)/bls.exe: $(OBJDIR)/bls.o $(COMMON_OBJS) $(LIBS_BACULA)
        $(call link_conapp,$(LIBS_STORED))

$(BINDIR)/bextract.exe: $(BEXTRACT_OBJS) $(COMMON_OBJS) $(LIBS_BACULA)
        $(call link_conapp,$(LIBS_STORED) $(LIBS_ZLIB))

$(BINDIR)/bscan.exe: $(OBJDIR)/bscan.o $(COMMON_OBJS) $(LIBS_CATS) $(LIBS_BACULA)
        $(call link_conapp,$(LIBS_STORED))

$(BINDIR)/bcopy.exe: $(OBJDIR)/bcopy.o $(COMMON_OBJS) $(LIBS_BACULA)
        $(call link_conapp,$(LIBS_STORED))

$(OBJDIR)/mtops.o: mtops.cpp
        @echo "Compiling $@"
        $(call checkdir,$@)
        $(ECHO_CMD)$(CXX) $(CFLAGS) $(INCLUDE_DDK) -I../../stored -c $< -o $@

$(OBJDIR)/winres.res:     baculasd/winres.rc
        @echo "Compiling $@"
        $(call checkdir,$@)
        $(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -I baculasd -O coff $< -o $@

include ../Makefile.rules

=== src/win32/win32_installer/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

VERSION := $(shell sed -ne 's/.*[ \t]VERSION[ \t][ \t]*"\(.*\)"/\1/p' < ../../version.h)

DEFINES := \
	-DVERSION=$(VERSION) \
	-DOUT_DIR=..\\release32 \
	-DSRC_DIR=release32 \
	-DBUILD_TOOLS=MinGW32 \
	-DWINVER=32 \
	-DBUILD_BAT=$(BUILD_BAT)

INSTALL_EXE := $(BUILDDIR)/release32/winbacula-$(VERSION).exe

BACULABINARIES := \
	bacula.dll \
	exchange-fd.dll \
	bacula-fd.exe \
	bconsole.exe \
	bsleep.exe \
	bsmtp.exe \

ifeq ($(bat),no)
	BACULA_BINARIES=$(BACULABINARIES)
	HELP=
else
	BACULA_BINARIES=$(BACULABINARIES) bat.exe bacula-tray-monitor.exe
	HELP=help
endif

DEPKGS_BINARIES := \
	libeay32.dll \
	pthreadGCE.dll \
	ssleay32.dll \
	zlib1.dll \
	openssl.exe \
	sed.exe \
	expr64.exe \
	snooze.exe \
	mkisofs.exe \
	growisofs.exe \
	QtCore4.dll \
	QtGui4.dll \
	libgcc_s_dw2-1.dll

NONGCC_BINARIES :=

NONGCC_LIBRARIES := 

MINGW_BINARIES := \
	mingwm10.dll

SCRIPT_FILES := 

CAT_FILES := 

DIRD_FILES := 

SSL_FILES := \
	openssl.cnf

DOC_FILES := \
	docs/manuals/en/console/console.pdf \
	docs/manuals/en/main/main.pdf \
	docs/manuals/en/misc/misc.pdf \
	docs/manuals/en/problems/problems.pdf \
	docs/manuals/en/utility/utility.pdf

##########################################################################

# Targets

.PHONY: all clean installer

all:	      $(HELP) $(INSTALL_EXE)

installer:    $(HELP) $(INSTALL_EXE)

clean:
	@echo "Cleaning `pwd`"
	$(CMD_ECHO)-rm -f $(INSTALL_EXE)
	$(CMD_ECHO)-rm -rf release32

help:
	rm -rf release32/help
	mkdir -p release32/help
	cp -f $(BINDIR)/help/* release32/help/


#
# Rules
#

define Convert_Binary
release32/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@ ; \
	$(STAB2CV) $$@
endef

define Copy_Binary
release32/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@
endef

define Copy_Docs
release32/$(1): $(DOCDIR)/$(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$(dir $$@)
endef

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(DEPKGS_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(NONGCC_BINARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/lib/, $(NONGCC_LIBRARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(BINDIR)/, $(BACULA_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(MINGW_DLLDIR)/, $(MINGW_BINARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/ssl/, $(SSL_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../scripts/, $(SCRIPT_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../cats/, $(CAT_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../../dird/, $(DIRD_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(DOC_FILES),$(eval $(call Copy_Docs,$(file))))



$(INSTALL_EXE): winbacula.nsi $(addprefix release32/,$(BACULA_BINARIES) $(SCRIPT_FILES) $(CAT_FILES) $(DEPKGS_BINARIES) $(NONGCC_BINARIES) $(NONGCC_LIBRARIES) $(MINGW_BINARIES) $(SSL_FILES) $(DIRD_FILES) $(DOC_FILES))
	NSISDIR=$(NSIS_DIR) \
	echo "$(NSIS_DIR)/makensis -V3 $(DEFINES) winbacula.nsi"
	$(NSIS_DIR)/makensis -V3 $(DEFINES) winbacula.nsi

include $(BUILDDIR)/Makefile.rules

=== src/win32/win64_installer/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Eric Bollengier, March 2009 
#    based on work by Robert Nelson
#

include ../Makefile.inc

VERSION := $(shell sed -ne 's/.*[ \t]VERSION[ \t][ \t]*"\(.*\)"/\1/p' < ../../version.h)

DEFINES := \
	-DVERSION=$(VERSION) \
	-DOUT_DIR=..\\release64 \
	-DSRC_DIR=release64 \
	-DWINVER=64 \
	-DBUILD_TOOLS=MinGW64 \

INSTALL_EXE := $(BUILDDIR)/release64/winbacula-$(VERSION).exe

BACULA_BINARIES := \
	bacula.dll \
	exchange-fd.dll \
	bsleep.exe \
	bsmtp.exe \
	bconsole.exe \
	bacula-fd.exe

DEPKGS32_BINARIES := \
	sed.exe \
	expr64.exe \
	snooze.exe

DEPKGS_BINARIES := \
	openssl.exe \
	cryptoeay32-0.9.8.dll \
	ssleay32-0.9.8.dll \
	pthreadGCE.dll \
	zlib1.dll

NONGCC_BINARIES := \
	libmysql.dll

NONGCC_LIBRARIES := \
	libpq.dll

MINGW_BINARIES := \
	mingwm10.dll

SCRIPT_FILES := \
	mtx-changer.cmd \
	disk-changer.cmd \
	dvd-handler.cmd

CAT_FILES := \
	create_mysql_database.cmd \
	drop_mysql_database.cmd \
	make_mysql_tables.cmd \
	make_mysql_tables.sql \
	drop_mysql_tables.cmd \
	drop_mysql_tables.sql \
	grant_mysql_privileges.cmd \
	grant_mysql_privileges.sql \
	make_mysql_catalog_backup.cmd \
	create_postgresql_database.cmd \
	create_postgresql_database.sql \
	drop_postgresql_database.cmd \
	make_postgresql_tables.cmd \
	make_postgresql_tables.sql \
	drop_postgresql_tables.cmd \
	drop_postgresql_tables.sql \
	grant_postgresql_privileges.cmd \
	grant_postgresql_privileges.sql \
	make_postgresql_catalog_backup.cmd \
	create_sqlite3_database.cmd \
	drop_sqlite3_database.cmd \
	make_sqlite3_tables.cmd \
	make_sqlite3_tables.sql \
	drop_sqlite3_tables.cmd \
	grant_sqlite3_privileges.cmd \
	make_sqlite3_catalog_backup.cmd \
	delete_catalog_backup.cmd

DIRD_FILES := \
	query.sql

SSL_FILES := \
	openssl.cnf

DOC_FILES := \
	docs/manuals/en/console/console.pdf \
	docs/manuals/en/main/main.pdf \
	docs/manuals/en/misc/misc.pdf \
	docs/manuals/en/problems/problems.pdf \
	docs/manuals/en/utility/utility.pdf

##########################################################################

# Targets

.PHONY: all clean installer

all:		$(INSTALL_EXE)

installer:	$(INSTALL_EXE)

clean:
	@echo "Cleaning `pwd`"
	$(CMD_ECHO)-rm -f $(INSTALL_EXE)
	$(CMD_ECHO)-rm -rf release64

#
# Rules
#

define Convert_Binary
release64/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@ ; \
	$(STAB2CV) $$@
endef

define Copy_Binary
release64/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@
endef

define Copy_Docs
release64/$(1): $(DOCDIR)/$(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$(dir $$@)
endef

$(foreach file,$(addprefix $(DEPKGS32)/bin/, $(DEPKGS32_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(DEPKGS_BINARIES)),$(eval $(call Convert_Binary,$(file))))

#$(foreach file,$(addprefix $(DEPKGS)/bin/, $(NONGCC_BINARIES)),$(eval $(call Copy_Binary,$(file))))

#$(foreach file,$(addprefix $(DEPKGS)/lib/, $(NONGCC_LIBRARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(BINDIR)/, $(BACULA_BINARIES)),$(eval $(call Convert_Binary,$(file))))

#$(foreach file,$(addprefix $(MINGW_DLLDIR)/, $(MINGW_BINARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS32)/ssl/, $(SSL_FILES)),$(eval $(call Copy_Binary,$(file))))

#$(foreach file,$(addprefix ../scripts/, $(SCRIPT_FILES)),$(eval $(call Copy_Binary,$(file))))

#$(foreach file,$(addprefix ../cats/, $(CAT_FILES)),$(eval $(call Copy_Binary,$(file))))

#$(foreach file,$(addprefix ../../dird/, $(DIRD_FILES)),$(eval $(call Copy_Binary,$(file))))

#$(foreach file,$(DOC_FILES),$(eval $(call Copy_Docs,$(file))))

$(INSTALL_EXE): winbacula.nsi $(addprefix release64/,$(BACULA_BINARIES) $(DEPKGS_BINARIES) $(DEPKGS32_BINARIES) $(SSL_FILES) )
	cp -f ../release32/bat.exe release64
	cp -f ../release32/bacula-tray-monitor.exe release64
	cp -f ../win32_installer/release32/QtCore4.dll release64
	cp -f ../win32_installer/release32/QtGui4.dll release64
	cp -f ../win32_installer/release32/libgcc_s_dw2-1.dll release64
	cp -f ../win32_installer/release32/mingwm10.dll release64
	cp -f ../win32_installer/release32/ssleay32.dll release64
	cp -f ../win32_installer/release32/libeay32.dll release64
	cp -f ../win32_installer/release32/zlib1.dll release64/zlib132.dll
	cp -f ../release32/bacula.dll release64/bacula32.dll
	cp -f ../win32_installer/release32/pthreadGCE.dll release64/pthreadGCE32.dll
	rm -rf release64/help
	mkdir -p release64/help
	cp -f ../win32_installer/release32/help/* release64/help/
	NSISDIR=$(NSIS_DIR) \
	$(NSIS_DIR)/makensis -V3 $(DEFINES) winbacula.nsi

include $(BUILDDIR)/Makefile.rules

=== src/win32/filed/plugins/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by James Harper, October 2008
#     Patterned after a Makefile by Robert Nelson, June 2006
#

#
# Change the following depending on where this directory is located
#  in the Bacula tree.	It should point to the src/win32 directory.
BUILDDIR = ../..

include $(BUILDDIR)/Makefile.inc

INCLUDES = \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL) \
	$(INCLUDE_VSS) \
	-I$(MAINDIR)/src \
	-I$(MAINDIR)/src/filed \
	-I$(MAINDIR)/src/win32/filed

DEFINES = \
	$(HAVES)

#vpath %.c $(BUILDDIR)/compat $(MAINDIR)/src/findlib $(MAINDIR)/src/lib
#vpath %.cpp $(BUILDDIR)/compat $(MAINDIR)/src/findlib $(MAINDIR)/src/lib

######################################################################

# Files files in src/win32/filed/plugins

EXCHANGE_OBJS = \
	$(OBJDIR)/exchange-fd.o \
	$(OBJDIR)/api.o \
	$(OBJDIR)/node.o \
	$(OBJDIR)/root_node.o \
	$(OBJDIR)/service_node.o \
	$(OBJDIR)/storage_group_node.o \
	$(OBJDIR)/store_node.o \
	$(OBJDIR)/dbi_node.o \
	$(OBJDIR)/file_node.o

BPIPE_OBJS = \
	$(OBJDIR)/bpipe-fd.o

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_PTHREADS) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/exchange-fd.dll $(BINDIR)/bpipe-fd.dll

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(EXCHANGE_OBJS))
	$(call clean_exe,$(BINDIR)/exchange-fd.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/exchange-fd.a $(LIBDIR)/libexchange-fd.a
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules for generating from ../lib
#

#$(LIBDIR)/libexchange-fd.a: DLL_DEFINE=USING_DLL

#$(LIBDIR)/libexchange-fd.a: $(BINDIR)/exchange-fd.dll $(STATIC_OBJS)
#	@echo "Updating archive $@"
#	$(call checkdir,$@)
#	$(ECHO_CMD)cp $(OBJDIR)/exchange-fd.a $@
#	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/exchange-fd.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/exchange-fd.dll: $(EXCHANGE_OBJS) exchange-fd.def
	@echo "Linking $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/exchange-fd.a $^ $(LIBS_DLL) -o $@

$(BINDIR)/bpipe-fd.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/bpipe-fd.dll: $(BPIPE_OBJS) bpipe-fd.def $(LIBS_BACULA)
	@echo "Linking $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(CFLAGS) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/bpipe-fd.a $^ $(LIBS_DLL) -o $@


include $(BUILDDIR)/Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== debian/changelog ===
bacula (5.2.6+dfsg-9.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix my last upload and really build on ppc64el now.

 -- Andreas Barth <aba@ayous.org>  Mon, 08 Sep 2014 11:16:35 +0000

bacula (5.2.6+dfsg-9.2) unstable; urgency=low

  * Non-maintainer upload to delayed.
  * Add support for ppc64el. Closes: #758125

 -- Andreas Barth <aba@ayous.org>  Mon, 18 Aug 2014 20:06:20 +0000

bacula (5.2.6+dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix doc symlink in bacula.postinst (Closes: 707803).

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 05 Oct 2013 22:42:35 +0200

bacula (5.2.6+dfsg-9) unstable; urgency=low

  * debian/copyright:
    + Update info about upstream license changes.
  * debian/bacula-fd.install:
    - Remove incorrect systemd service file for bacula-fd due to unaccepted for
      freeze changes in fixes (Closes: #699943).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Wed, 24 Apr 2013 01:56:12 +0400

bacula (5.2.6+dfsg-8) unstable; urgency=high

  * debian/additions/common-functions.dpkg:
    + Fix missed user for run bacula-director (Closes: #699244).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 29 Jan 2013 18:47:27 +0400

bacula (5.2.6+dfsg-7) unstable; urgency=low

  * debian/bacula-sd.install, bacula-director-{sqlite3,mysql,pgsql}.install,
    debian/rules:
    - Remove incorrect systemd service files for bacula-director and
      bacula-sd due to unaccepted for freeze changes in fixes.
  * debian/additions/common-functions.dpkg, debian/*.init, 
    debian/patches/delegate-chuid-to-systemd.patch, debian/patches/series:
    - [revert] delegate daemons uid/gid changing to start-stop-daemon.
  * debian/control:
    + [revert] remove mtx from build-depends on Hurd, due to package
      unavailability and unneccessary functionality on this platform.
    - [revert] Add build-depends for LZO support.
  * debian/rules:
    - [revert] add lintian overrides for hardening for all packages.
    + [revert] disable xattr and acl on Hurd.
  * debian/rules:
    - [revert] Cleanup list of linked libraries.
  * debian/rules, debian/control, debian/*.init, debian/bacula-common.postrm,
    debian/additions/common-functions.init:
    - [revert] switch to /run directory (/var/run/bacula -> /run/bacula,
      /var/lock -> /run/lock).
  * debian/bacula-common.preinst:
    - [revert] add bacula into cdrom group.
  * debian/bacula-common.preinst:
    - [revert] switch from usermod to more debian-policy friendly adduser.
  * debian/*.postrm:
    - [revert] make package purging more carefull about users files.
  * debian/po/nl.po:
    + add dutch translation (thanks to Vincent Zweije).
  * debian/bacula-director-common.bacula-director.init (Closes: #605449):
    + start sql database before bacula-director (thanks to Teodor MICU
      <mteodor@gmail.com>).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 08 Jan 2013 16:01:20 +0400

bacula (5.2.6+dfsg-6) unstable; urgency=high

  [ Alexander Golovko ]
  * debian/bacula-director-*.{install,postinst},
    debian/additions/sqlite3/delete_catalog_backup.md5sum,
    debian/additions/common-functions.dpkg (Closes: #688199):
    + switch /etc/bacula/scripts/delete_catalog_backup under ucf control.
  * debian/control:
    - remove mtx from build-depends on Hurd, due to package unavailability and
      unneccessary functionality on this platform.
  * debian/rules:
    + add lintian overrides for hardening for all packages.
    - disable xattr and acl on Hurd.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #687240)

  [ Debconf translation updates ]
  * Russian (Yuri Kozlov). Closes: #689442
  * Spanish; (# traductor (campo Last-Translator) y ponga en copia a la
    lista de Javier Fernández-Sanguino).  Closes: #689467
  * Danish (Joe Hansen).  Closes: #689643
  * French (Julien Patriarca).  Closes: #689796
  * Czech (Michal Simunek).  Closes: #689797
  * German (Holger Wansing).  Closes: #690077
  * Japanese (victory).  Closes: #690550
  * Galician (Jorge Barreiro).  Closes: #690595
  * Polish (Michał Kułach).  Closes: #690732
  * Italian (Beatrice Torracca).  Closes: #690745
  * Portuguese (Rui Branco).  Closes: #690779
  * Swedish (Martin Bagge / brother).  Closes: #690896

 -- Alexander Golovko <alexandro@ankalagon.ru>  Wed, 24 Oct 2012 15:19:49 +0400

bacula (5.2.6+dfsg-5) unstable; urgency=low

  * debian/control:
    - capabilities is linux-only feature. disable it for non-linux platforms.
  * debian/README.Debian:
    + add information, that capabilities is linux-only feature. 

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 25 Sep 2012 16:24:31 +0400

bacula (5.2.6+dfsg-4) unstable; urgency=high

  * debian/control, debian/bacula-director-db.templates.in,
    debian/po/templates.pot:
    + Improve the use of English (thanks to debian-l10n-english team).
  * debian/patches/fix_dump_resources_acl.patch, debian/rules:
    + Fix console ACL's bypass with dump_resource, SA CVE-2012-4430
      (Closes: #687923).
  * debian/control:
    + Add build-depends for read-all capability support (Closes: #683080).
    + Add build-depends for LZO support.
  * debian/rules:
    + Cleanup list of linked libraries.
  * debian/README.Debian:
    + Add information about file daemon without root privileges.
  * debian/patches/xattr-btrfs-crash.patch, debian/patches/series:
    + Fix bacula-fd crash on saving xattr on btrfs.
  * debian/patches/fix-save-only-one-xattr.patch, debian/patches/series:
    + Save all file xattrs, not only first (Closes: #688732).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 25 Sep 2012 12:33:01 +0400

bacula (5.2.6+dfsg-3) unstable; urgency=high

  [ Alexander Golovko ]
  * debian/bacula-common-db.install.in, debian/bacula-common-db.links.in,
    debian/patches/fix-default-dbtype.patch, debian/rules:
    + Build packages for all database types in the same time, not a separate


=== debian/control ===
Source: bacula
Section: admin
Priority: optional
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders: Jan Hauke Rahm <jhr@debian.org>, Luca Capello <luca@pca.it>
Build-Depends: autotools-dev, autoconf, debhelper (>= 8.1.3), po-debconf,
 zlib1g-dev, libreadline-dev, libsqlite3-dev, libmysqlclient-dev, libpq-dev
 (>= 9.1), postgresql-server-dev-all, libwrap0-dev, python-dev, libgtk2.0-dev,
 libgnome2-dev, libacl1-dev, libkrb5-dev, libgnomeui-dev, libx11-dev, mtx, bc,
 libxt-dev, libqt4-dev, libssl-dev, libcap-dev [linux-any]
Build-Conflicts: python2.4
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-bacula/bacula.git
Homepage: http://www.bacula.org/

Package: bacula
Architecture: all
Depends: bacula-server, bacula-client, bacula-common, ${misc:Depends}
Suggests: bacula-doc
Description: network backup service - metapackage
 Bacula is a set of programs to manage backup, recovery, and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector, and administrative console.

Package: bacula-common
Replaces: bacula-director-common
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Description: network backup service - common support files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages.

Package: bacula-common-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common (= ${binary:Version}), ${misc:Depends}
Description: network backup service - common support files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common.

Package: bacula-common-sqlite3
Architecture: any
Depends: bacula-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-pgsql, bacula-common-mysql
Description: network backup service - SQLite v3 common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the SQLite v3 database.

Package: bacula-common-sqlite3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common-sqlite3 (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-common-pgsql-dbg, bacula-common-mysql-dbg
Description: network backup service - SQLite v3 common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common-sqlite3.

Package: bacula-common-pgsql
Architecture: any
Depends: bacula-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-sqlite3, bacula-common-mysql
Description: network backup service - PostgreSQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the PostgreSQL database.

Package: bacula-common-pgsql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common-pgsql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-common-sqlite3-dbg, bacula-common-mysql-dbg
Description: network backup service - PostgreSQL common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common-pgsql.

Package: bacula-common-mysql
Architecture: any
Depends: bacula-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-sqlite3, bacula-common-pgsql
Description: network backup service - MySQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the MySQL database.

Package: bacula-common-mysql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common-mysql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-common-sqlite3-dbg, bacula-common-pgsql-dbg
Description: network backup service - MySQL common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common-mysql.

Package: bacula-director-common
Architecture: any
Depends: bacula-common (= ${binary:Version}), bsd-mailx | mailx, lsb-base,
 ${shlibs:Depends}, ${misc:Depends}
Description: network backup service - Director common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package provides common files for the Bacula Director daemon.

Package: bacula-director-common-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), ${misc:Depends}
Description: network backup service - Director common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-director-common.

Package: bacula-director-sqlite3
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), bacula-common-sqlite3
 (>= ${binary:Version}), sqlite3, file, dbconfig-common, ucf,
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Suggests: gawk
Description: network backup service - SQLite 3 storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in an SQLite 3 database, and thus is
 suitable for smaller installations.
 
Package: bacula-director-sqlite3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-sqlite3 (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director-dbg
Provides: bacula-director-dbg
Replaces: bacula-director-dbg
Description: network backup service - SQLite 3 storage for Director (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides the debugging symbols for bacula-director-sqlite3.

Package: bacula-director-mysql
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), bacula-common-mysql
 (>= ${binary:Version}), dbconfig-common, mysql-client, ucf,
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: mysql-server
Suggests: gawk
Description: network backup service - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a MySQL database, and thus is
 suitable for large installations.

Package: bacula-director-mysql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-mysql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director-dbg
Provides: bacula-director-dbg
Replaces: bacula-director-dbg
Description: network backup service - MySQL storage for Director (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides the debugging symbols for bacula-director-mysql.

Package: bacula-director-pgsql
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), bacula-common-pgsql
 (>= ${binary:Version}), dbconfig-common, postgresql-client (>= 7.4), ucf,
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: postgresql (>= 7.4)
Suggests: gawk, postgresql-contrib, postgresql-doc
Description: network backup service - PostgreSQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a PostgreSQL database, and thus is
 suited for large installations.

Package: bacula-director-pgsql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-pgsql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director-dbg
Provides: bacula-director-dbg
Replaces: bacula-director-dbg
Description: network backup service - PostgreSQL storage for Director (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides the debugging symbols for bacula-director-pgsql.

Package: bacula-client
Architecture: all
Depends: bacula-console (>= ${source:Version}), bacula-fd
 (>= ${source:Version}), ${misc:Depends}
Recommends: bacula-traymonitor
Description: network backup service - client metapackage
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 The package is a metapackage for client installations (file daemon and
 console only).

Package: bacula-fd
Architecture: any
Depends: bacula-common (= ${binary:Version}), lsb-base, ucf, ${shlibs:Depends},
 ${misc:Depends}
Suggests: bacula-traymonitor
Description: network backup service - file daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.

Package: bacula-fd-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-fd (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DBGPKGS := $(shell sed -n -e 's/Package: \(.*\)-dbg/\1/p' debian/control)

VARIANTS := pgsql mysql sqlite3

######################################################################

DBC := usr/share/dbconfig-common/data/

CONF_ALL	= \
	--enable-smartalloc \
	--with-python \
	--with-tcp-wrappers \
	--with-openssl \
	--with-libiconv-prefix=/usr/include \
	--with-readline=/usr/include/readline \
	--disable-conio \
	--with-libintl-prefix=/usr/include \
	--docdir=\$${prefix}/share/doc/bacula-common \
	--htmldir=\$${prefix}/share/doc/bacula-common/html \
	--libdir=\$${prefix}/lib/bacula \
	--enable-batch-insert \
	--enable-ipv6 \
	--with-dir-password=XXX_DIRPASSWORD_XXX \
	--with-fd-password=XXX_FDPASSWORD_XXX \
	--with-sd-password=XXX_SDPASSWORD_XXX \
	--with-mon-dir-password=XXX_MONDIRPASSWORD_XXX \
	--with-mon-fd-password=XXX_MONFDPASSWORD_XXX \
	--with-mon-sd-password=XXX_MONSDPASSWORD_XXX \
	--with-db-name=XXX_DBNAME_XXX \
	--with-db-user=XXX_DBUSER_XXX \
	--with-db-password=XXX_DBPASSWORD_XXX \
	--config-cache \
	--with-archivedir=/nonexistant/path/to/file/archive/dir \
	--sysconfdir=/etc/bacula \
	--with-scriptdir=/etc/bacula/scripts \
	--sharedstatedir=/var/lib/bacula \
	--localstatedir=/var/lib/bacula \
	--with-logdir=/var/log/bacula \
	--with-pid-dir=/var/run/bacula \
	--with-smtp-host=localhost \
	--with-working-dir=/var/lib/bacula \
	--with-subsys-dir=/var/lock \
	--with-dump-email=root \
	--with-job-email=root \
	--with-systemd=/lib/systemd/system \
	--with-mysql --with-postgresql --with-sqlite3 \
	--enable-bat --enable-tray-monitor --enable-bwx-console --with-x

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONF_ALL	+= --disable-acl --disable-xattr
endif

LONGNAME_mysql		= mysql
LONGNAME_pgsql		= postgresql
LONGNAME_sqlite3	= sqlite3

###########################################################################

# Macro for generate file for specified database from specified template
# args: 1 -- template file
#       2 -- db type
define template-subst
sed -e 's/XX_DB_XX/$(2)/' -e 's/XX_DBLONGNAME_XX/$(LONGNAME_$(2))/' '$(1)' >'$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
endef

# Macro for cleanup file generated for specified database from specified template
# args: 1 -- template file
#       2 -- db type
define template-cleanup
rm -f '$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
endef

# Macro for generate from all templates files for specified database
# args: 1 -- db type
define db-templates-subst
$(foreach template,$(wildcard debian/*-db.*.in),$(call template-subst,$(template),$(1)))
endef

# Macro for cleanup all files generated for specified database from templates
# args: 1 -- db type
define db-templates-cleanup
$(foreach template,$(wildcard debian/*-db.*.in),$(call template-cleanup,$(template),$(1)))
endef

%:
	dh $@ --with autotools_dev

override_dh_shlibdeps:
	# Handle shlibs for the database packages specially so they get
	# the deps on the correct libraries.
	dh_shlibdeps -pbacula-sd-mysql -Lbacula-common-mysql
	dh_shlibdeps -pbacula-director-mysql -Lbacula-common-mysql
	dh_shlibdeps -pbacula-sd-sqlite3 -Lbacula-common-sqlite3
	dh_shlibdeps -pbacula-director-sqlite3 -Lbacula-common-sqlite3
	dh_shlibdeps -pbacula-sd-pgsql -Lbacula-common-pgsql
	dh_shlibdeps -pbacula-director-pgsql -Lbacula-common-pgsql
	# Now build all other shlibdeps.
	dh_shlibdeps -a -Nbacula-sd-mysql -Nbacula-director-mysql \
		-Nbacula-sd-sqlite3 -Nbacula-director-sqlite3 \
		-Nbacula-sd-pgsql -Nbacula-director-pgsql

override_dh_installinit:
	dh_installinit -pbacula-sd -- defaults 90 10
	dh_installinit -pbacula-fd -- defaults 91 9
	dh_installinit -pbacula-director-common --name=bacula-director --no-start -- defaults 92 8

override_dh_install:
	chmod 755 debian/additions/postinst-common
	chmod 755 debian/scripts/install-dbconfig
	dh_install
	chmod 755 debian/bacula-common/usr/lib/bacula/btraceback
	######### dbconfig-common stuff
	# Sometimes the latest release doesn't have a copy of the data in updatedb.
	# Manually install those. CHECK THIS FOR EACH NEW RELEASE!
	#
	# lenny -> squeeze is 10 -> 12
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 3.0.0 11)) # 3.0.0 upgrade 10 to 11
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 5.0.0 12)) # 5.0.0 upgrade 11 to 12
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 5.2.0))    # 5.2.0 upgrade 12 to 14
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db)))
	# dh_install can not rename files, so doing here
	mv debian/bacula-traymonitor/usr/share/pixmaps/generic.xpm \
		debian/bacula-traymonitor/usr/share/pixmaps/bacula-tray-monitor.xpm
	# fix database type in some scripts
	$(foreach db,$(VARIANTS),sed -i \
	  -e "s/XX_DB_XX/$(db)/" \
		-e "s/XX_DBLONGNAME_XX/$(LONGNAME_$(db))/" \
		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup \
		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup.pl;)


override_dh_installdocs:
	dh_installdocs -pbacula --link-doc=bacula-common
	for pkg in $(DBGPKGS); do \
		dh_installdocs -p$$pkg-dbg --link-doc=$$pkg; \
		done
	dh_installdocs -Nbacula

override_dh_auto_configure:
	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
	autoconf -I autoconf/ -o configure autoconf/configure.in
	dh_auto_configure -- $(CONF_ALL)

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_strip:
	for pkg in $(DBGPKGS); do \
		dh_strip -p$$pkg --dbg-package=$$pkg-dbg; \
		done
	dh_strip

override_dh_makeshlibs:
	dh_makeshlibs -n -Xbpipe-fd.so

override_dh_clean:
	$(foreach db,$(VARIANTS),$(call db-templates-cleanup,$(db)))
	dh_autotools-dev_restoreconfig
	dh_clean

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/bacula-sd/etc/bacula/scripts/mtx-changer.conf
	chmod -x debian/bacula-common/usr/share/doc/bacula-common/examples/nagios/check_bacula/README
	chmod +x debian/bacula-director-*/etc/bacula/scripts/make_catalog_backup_awk

override_dh_auto_test:
